{% extends "::layout.html.twig" %}
{% set section="veaf_spawn" %}

{% block pageWrapper %}
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">VEAF Marker Commands Helper</h1>
        </div>
    </div>
    <div class="row">
        {# general information #}
        <div class="col-sm-6 col-md-3">

            {% if spawn == "" %}

                <ul class="list-group">
                    <li class="list-group-item">
                        <a href="{{ path("veaf_marker_cas_mission") }}">CAS Mission</a> - <i>generate groups for CAS</i>
                    </li>
                    <li class="list-group-item">
                        <a href="{{ path("veaf_marker_helper", {"spawn": "move-tanker"}) }}">MOVE Tanker</a> - <i>move a tanker as required</i>
                    </li>
                    <li class="list-group-item">
                        <a href="{{ path("veaf_marker_helper", {"spawn": "move-group"}) }}">MOVE Group</a> - <i>move a ground group</i>
                    </li>
                    <li class="list-group-item">
                        <a href="{{ path("veaf_marker_helper", {"spawn": "smoke"}) }}">SPAWN Smoke</a> - <i>pop smokes</i>
                    </li>
                    <li class="list-group-item">
                        <a href="{{ path("veaf_marker_helper", {"spawn": "flare"}) }}">SPAWN Flare</a> - <i>pop flares</i>
                    </li>
                    <li class="list-group-item">
                        <a href="{{ path("veaf_marker_helper", {"spawn": "cargo"}) }}">SPAWN Cargo</a> - <i>transport tasking</i>
                    </li>
                    <li class="list-group-item">
                        <a href="{{ path("veaf_marker_helper", {"spawn": "unit"}) }}">SPAWN Unit</a> - <i>add ground unit</i>
                    </li>
                    <li class="list-group-item">
                        <a href="{{ path("veaf_marker_helper", {"spawn": "group"}) }}">SPAWN Group</a> - <i>add ground group</i>
                    </li>
                    <li class="list-group-item">
                        <a href="{{ path("veaf_marker_convoy") }}">SPAWN Convoy</a> - <i>add moving convoy</i>
                    </li>
                    <li class="list-group-item">
                        <a href="{{ path("veaf_marker_jtac") }}">SPAWN JTAC</a> - <i>buddy lasing</i>
                    </li>
                    <li class="list-group-item">
                        <a href="{{ path("veaf_marker_helper", {"spawn": "point"}) }}">NAME POINT</a> - <i>create a named point</i>
                    </li>
                </ul>

                <div>
                    Marker commands are specials texts that should be keyed in marker label.<br/>
                    Actions are triggered when clicking outside the marker label.

                    <img src="https://forums.eagle.ru/attachment.php?attachmentid=201978&stc=1&d=1547344496"/>
                </div>
            {% endif %}

            {% if spawn == "move-tanker" %}
                <h2><a id="tanker_section">MOVE Tanker</a></h2>
                Name:
                <select id="tanker_name" class="form-control">
                    {% for value in options.tanker.name.values %}
                        <option value="{{ value }}" {% if value == options.tanker.name.default %}selected{% endif %}>{{ value }}</option>
                    {% endfor %}
                </select>
                <br/>

                Heading (degrees, from marker):
                <select id="tanker_hdg" class="form-control">
                    {% for value in options.tanker.heading.values %}
                        <option value="{{ value }}" {% if value == options.tanker.heading.default %}selected{% endif %}>{{ value }}</option>
                    {% endfor %}
                </select>
                <br/>
                Speed (knots):
                <select id="tanker_speed" class="form-control">
                    {% for value in options.tanker.speed.values %}
                        <option value="{{ value }}" {% if value == options.tanker.speed.default %}selected{% endif %}>{{ value }}</option>
                    {% endfor %}
                </select>

                Altitude (ft):
                <select id="tanker_alt" class="form-control">
                    {% for value in options.tanker.alt.values %}
                        <option value="{{ value }}" {% if value == options.tanker.alt.default %}selected{% endif %}>{{ value }}</option>
                    {% endfor %}
                </select>
                <br/>
                Distance (Nm):
                <select id="tanker_dist" class="form-control">
                    {% for value in options.tanker.dist.values %}
                        <option value="{{ value }}" {% if value == options.tanker.dist.default %}selected{% endif %}>{{ value }}</option>
                    {% endfor %}
                </select>
                <br/>

                Marker command:
                <input type="text" id="tanker_cmd" class="form-control"/>

                <script>
                    function updateTanker() {
                        var cmd = "_move tanker";
                        cmd = cmd + ", name " + $("#tanker_name").val();
                        cmd = cmd + ", hdg " + $("#tanker_hdg").val();
                        cmd = cmd + ", speed " + $("#tanker_speed").val();
                        cmd = cmd + ", alt " + $("#tanker_alt").val();
                        cmd = cmd + ", dist " + $("#tanker_dist").val();
                        $("#tanker_cmd").val(cmd);
                    }

                    updateTanker();

                    $("select").change(function () {
                        updateTanker();
                    });

                </script>

            {% endif %}

            {% if spawn == "move-group" %}
                <h2><a id="move_section">MOVE Group</a></h2>
                Name: <input type="text" id="move_name" value="mygroupname" class="form-control"/>
                <br/>

                Speed (knots):
                <select id="move_speed" class="form-control">
                    {% for value in options.move.speed.values %}
                        <option value="{{ value }}" {% if value == options.move.speed.default %}selected{% endif %}>{{ value }}</option>
                    {% endfor %}
                </select>
                <br/>

                Marker command:
                <input type="text" id="move_cmd" class="form-control"/>

                <script>
                    function updateMove() {
                        var cmd = "_move group";
                        cmd = cmd + ", name " + $("#move_name").val();
                        cmd = cmd + ", speed " + $("#move_speed").val();
                        $("#move_cmd").val(cmd);
                    }

                    updateMove();

                    $("select").change(function () {
                        updateMove();
                    });

                    $("#move_name").keyup(function () {
                        updateMove();
                    });

                </script>

            {% endif %}

            {% if spawn == "smoke" %}

                <h2><a id="smoke_section">SPAWN Smoke</a></h2>
                Color:
                <select id="smoke_color" class="form-control">
                    {% for value in options.smoke.color %}
                        <option value="{{ value }}">{{ value }}</option>
                    {% endfor %}
                </select>
                <br/>

                Marker command:
                <input type="text" id="smoke_cmd" class="form-control"/>

                <script>
                    function updateSmoke() {
                        var cmd = "_spawn smoke";
                        cmd = cmd + ", color " + $("#smoke_color").val();
                        $("#smoke_cmd").val(cmd);
                    }

                    updateSmoke();

                    $("select").change(function () {
                        updateSmoke();
                    });

                </script>

            {% endif %}

            {% if spawn == "flare" %}

                <h2><a id="flare_section">SPAWN Flare</a></h2>
                Alt (m):
                <select id="flare_alt" class="form-control">
                    {% for value in options.flare.alt %}
                        <option value="{{ value }}">{{ value | number_format(0, '.', ' ') }}</option>
                    {% endfor %}
                </select>
                <br/>

                Marker command:
                <input type="text" id="flare_cmd" class="form-control"/>

                <script>
                    function updateFlare() {
                        var cmd = "_spawn flare";
                        cmd = cmd + ", alt " + $("#flare_alt").val();
                        $("#flare_cmd").val(cmd);
                    }

                    updateFlare();

                    $("select").change(function () {
                        updateFlare();
                    });

                </script>

            {% endif %}

            {% if spawn == "cargo" %}

                <h2><a id="cargo_section">SPAWN Cargo</a></h2>
                Type:
                <select id="cargo_name" class="form-control">
                    {% for value,label in options.cargo.name %}
                        <option value="{{ value }}">{{ label }}</option>
                    {% endfor %}
                </select>
                <br/>

                Marker command:
                <input type="text" id="cargo_cmd" class="form-control"/>

                <script>
                    function updateCargo() {
                        var cmd = "_spawn cargo";
                        cmd = cmd + ", name " + $("#cargo_name").val();
                        $("#cargo_cmd").val(cmd);
                    }

                    updateCargo();

                    $("select").change(function () {
                        updateCargo();
                    });

                </script>

            {% endif %}

            {% if spawn == "unit" %}

                <h2><a id="unit_section">SPAWN Unit</a></h2>
                Type:
                <select id="unit_name" class="form-control">
                    {% for type,units in options.unit.name %}
                        <optgroup label="{{ type }}">
                            {% for value,label in units %}
                                <option value="{{ value }}">{{ label }}</option>
                            {% endfor %}
                        </optgroup>
                    {% endfor %}
                </select>
                Country:
                <select id="unit_country" class="form-control">
                    {% for value in options.unit.country.values %}
                        <option value="{{ value }}" {% if value == options.unit.country.default %}selected{% endif %}>{{ value }}</option>
                    {% endfor %}
                </select>
                <br/>
                Heading (degrees, from marker):
                <select id="unit_hdg" class="form-control">
                    {% for value in options.unit.heading %}
                        <option value="{{ value }}">{{ value }}</option>
                    {% endfor %}
                </select>
                <br/>
                Speed (knots):
                <select id="unit_speed" class="form-control">
                    {% for value in options.unit.speed %}
                        <option value="{{ value }}">{{ value }}</option>
                    {% endfor %}
                </select>
                <br/>
                {#Altitude (ft):#}
                {#<select id="unit_alt" class="form-control">#}
                {#{% for value in options.unit.alt %}#}
                {#<option value="{{ value }}">{{ value }}</option>#}
                {#{% endfor %}#}
                {#</select>#}
                {#<br/>#}

                Marker command:
                <input type="text" id="unit_cmd" class="form-control"/>

                <script>
                    function updateUnit() {
                        var cmd = "_spawn unit";
                        cmd = cmd + ", name " + $("#unit_name").val();
                        cmd = cmd + ", country " + $("#unit_country").val();
                        cmd = cmd + ", hdg " + $("#unit_hdg").val();
                        cmd = cmd + ", speed " + $("#unit_speed").val();
                        //cmd = cmd + ", alt " + $("#unit_alt").val();
                        $("#unit_cmd").val(cmd);
                    }

                    updateUnit();

                    $("select").change(function () {
                        updateUnit();
                    });

                    $(document).ready(function() {
                        $('select').select2();
                    });

                </script>
            {% endif %}

            {% if spawn == "group" %}

                <h2><a id="group_section">SPAWN Group</a></h2>
                Type:
                <select id="group_name" class="form-control">
                    {% for type,units in options.group.name %}
                        <optgroup label="{{ type }}">
                            {% for value,label in units %}
                                <option value="{{ value }}">{{ label }}</option>
                            {% endfor %}
                        </optgroup>
                    {% endfor %}
                </select>
                Country:
                <select id="group_country" class="form-control">
                    {% for value in options.group.country.values %}
                        <option value="{{ value }}" {% if value == options.group.country.default %}selected{% endif %}>{{ value }}</option>
                    {% endfor %}
                </select>
                <br/>

                Marker command:
                <input type="text" id="group_cmd" class="form-control"/>

                <script>
                    function updateGroup() {
                        var cmd = "_spawn group";
                        cmd = cmd + ", name " + $("#group_name").val();
                        cmd = cmd + ", country " + $("#group_country").val();
                        $("#group_cmd").val(cmd);
                    }

                    updateGroup();

                    $("select").change(function () {
                        updateGroup();
                    });

                    $(document).ready(function() {
                        $('select').select2();
                    });
                </script>
            {% endif %}

            {% if spawn == "point" %}

                <h2><a id="name_section">NAME POINT</a></h2>
                Name:
                <input id="name_name" class="form-control" value="MYPOINT"/>

                <br/>

                Marker command:
                <input type="text" id="name_cmd" class="form-control"/>

                <script>
                    function updateName() {
                        var cmd = "_name point";
                        cmd = cmd + ", name " + $("#name_name").val();
                        $("#name_cmd").val(cmd);
                    }

                    updateName();

                    $("#name_name").keyup(function () {
                        updateName();
                    });

                </script>
            {% endif %}

        </div>
    </div>
{% endblock %}
